Gocator API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoMaterial Class Reference
GoSdk

## Description

Represents configurable material acquisition settings.

Inheritance diagram for GoMaterial:

## Public Member Functions
k64f | GoMaterial_CameraGainAnalog (GoMaterial material)
k64f | GoMaterial_CameraGainAnalogLimitMax (GoMaterial material)
k64f | GoMaterial_CameraGainAnalogLimitMin (GoMaterial material)
k64f | GoMaterial_CameraGainAnalogSystemValue (GoMaterial material)
k64f | GoMaterial_CameraGainDigital (GoMaterial material)
k64f | GoMaterial_CameraGainDigitalLimitMax (GoMaterial material)
k64f | GoMaterial_CameraGainDigitalLimitMin (GoMaterial material)
k64f | GoMaterial_CameraGainDigitalSystemValue (GoMaterial material)
k64f | GoMaterial_DynamicSensitivity (GoMaterial material)
k64f | GoMaterial_DynamicSensitivityLimitMax (GoMaterial material)
k64f | GoMaterial_DynamicSensitivityLimitMin (GoMaterial material)
k64f | GoMaterial_DynamicSensitivitySystemValue (GoMaterial material)
k32u | GoMaterial_DynamicThreshold (GoMaterial material)
k32u | GoMaterial_DynamicThresholdLimitMax (GoMaterial material)
k32u | GoMaterial_DynamicThresholdLimitMin (GoMaterial material)
k32u | GoMaterial_DynamicThresholdSystemValue (GoMaterial material)
kStatus | GoMaterial_EnableSensitivityCompensation (GoMaterial material, kBool value)
GoGammaType | GoMaterial_GammaType (GoMaterial material)
GoGammaType | GoMaterial_GammaTypeSystemValue (GoMaterial material)
kBool | GoMaterial_IsCameraGainAnalogUsed (GoMaterial material)
kBool | GoMaterial_IsCameraGainDigitalUsed (GoMaterial material)
kBool | GoMaterial_IsDynamicSensitivityUsed (GoMaterial material)
kBool | GoMaterial_IsDynamicThresholdUsed (GoMaterial material)
kBool | GoMaterial_IsGammaTypeUsed (GoMaterial material)
kBool | GoMaterial_IsSensitivityCompensationEnabledUsed (GoMaterial material)
kBool | GoMaterial_IsSpotSelectionTypeUsed (GoMaterial material)
kBool | GoMaterial_IsSpotThresholdUsed (GoMaterial material)
kBool | GoMaterial_IsSpotWidthMaxUsed (GoMaterial material)
kBool | GoMaterial_IsTypeUsed (GoMaterial material)
kBool | GoMaterial_SensitivityCompensationEnabled (GoMaterial material)
kBool | GoMaterial_SensitivityCompensationEnabledSystemValue (GoMaterial material)
kStatus | GoMaterial_SetCameraGainAnalog (GoMaterial material, k64f value)
kStatus | GoMaterial_SetCameraGainDigital (GoMaterial material, k64f value)
kStatus | GoMaterial_SetDynamicSensitivity (GoMaterial material, k64f value)
kStatus | GoMaterial_SetDynamicThreshold (GoMaterial material, k32u value)
kStatus | GoMaterial_SetGammaType (GoMaterial material, GoGammaType value)
kStatus | GoMaterial_SetSpotSelectionType (GoMaterial material, GoSpotSelectionType type)
kStatus | GoMaterial_SetSpotThreshold (GoMaterial material, k32u value)
kStatus | GoMaterial_SetSpotWidthMax (GoMaterial material, k32u value)
kStatus | GoMaterial_SetType (GoMaterial material, GoMaterialType type)
GoSpotSelectionType | GoMaterial_SpotSelectionType (GoMaterial material)
GoSpotSelectionType | GoMaterial_SpotSelectionTypeOptionAt (GoMaterial material, kSize index)
kSize | GoMaterial_SpotSelectionTypeOptionCount (GoMaterial material)
GoSpotSelectionType | GoMaterial_SpotSelectionTypeSystemValue (GoMaterial material)
k32u | GoMaterial_SpotThreshold (GoMaterial material)
k32u | GoMaterial_SpotThresholdLimitMax (GoMaterial material)
k32u | GoMaterial_SpotThresholdLimitMin (GoMaterial material)
k32u | GoMaterial_SpotThresholdSystemValue (GoMaterial material)
k32u | GoMaterial_SpotWidthMax (GoMaterial material)
k32u | GoMaterial_SpotWidthMaxLimitMax (GoMaterial material)
k32u | GoMaterial_SpotWidthMaxLimitMin (GoMaterial material)
k32u | GoMaterial_SpotWidthMaxSystemValue (GoMaterial material)
GoMaterialType | GoMaterial_Type (GoMaterial material)
GoMaterialType | GoMaterial_TypeSystemValue (GoMaterial material)

The documentation for this class was generated from the following file:

- GoMaterial.h